Search
Question: Errror cummeRbund installation
0
gravatar for esraesmeray1990
6 months ago by
esraesmeray19900 wrote:

Hi i have problem when i tried to install cummeRbund on my ubuntu at R version 3.4.

I tried to install with following commands:

>source("http://bioconductor.org/biocLite.R")

Bioconductor version 3.5 (BiocInstaller 1.26.0), ?biocLite for help

>

> biocLite("cummeRbund")
BioC_mirror: https://bioconductor.org
Using Bioconductor 3.5 (BiocInstaller 1.26.0), R 3.4.0 (2017-04-21).
Installing package(s) ‘cummeRbund’
also installing the dependencies ‘ensembldb’, ‘AnnotationFilter’, ‘biovizBase’, ‘Gviz’

URL 'https://bioconductor.org/packages/3.5/bioc/src/contrib/ensembldb_2.0.1.tar.gz' deneniyor
Content type 'application/x-gzip' length 2432526 bytes (2.3 MB)
==================================================
downloaded 2.3 MB

URL 'https://bioconductor.org/packages/3.5/bioc/src/contrib/AnnotationFilter_1.0.0.tar.gz' deneniyor
Content type 'application/x-gzip' length 353826 bytes (345 KB)
==================================================
downloaded 345 KB

URL 'https://bioconductor.org/packages/3.5/bioc/src/contrib/biovizBase_1.24.0.tar.gz' deneniyor
Content type 'application/x-gzip' length 2431581 bytes (2.3 MB)
==================================================
downloaded 2.3 MB

URL 'https://bioconductor.org/packages/3.5/bioc/src/contrib/Gviz_1.20.0.tar.gz' deneniyor
Content type 'application/x-gzip' length 3421220 bytes (3.3 MB)
==================================================
downloaded 3.3 MB

URL 'https://bioconductor.org/packages/3.5/bioc/src/contrib/cummeRbund_2.18.0.tar.gz' deneniyor
Content type 'application/x-gzip' length 2312145 bytes (2.2 MB)
==================================================
downloaded 2.2 MB

* installing *source* package ‘AnnotationFilter’ ...
** R
** inst
** preparing package for lazy loading
** help
*** installing help indices
** building package indices
** installing vignettes
** testing if installed package can be loaded
Error: package or namespace load failed for ‘AnnotationFilter’ in loadNamespace(package, lib.loc):
 in package ‘AnnotationFilter’ classes TxIdFilter, ProteinIdFilter, GeneIdFilter, ExonIdFilter were specified for export but not defined
Hata: loading failed
Çalıştırma durduruldu
ERROR: loading failed
* removing ‘/home/esra/R/x86_64-pc-linux-gnu-library/3.4/AnnotationFilter’
ERROR: dependency ‘AnnotationFilter’ is not available for package ‘ensembldb’
* removing ‘/home/esra/R/x86_64-pc-linux-gnu-library/3.4/ensembldb’
ERROR: dependencies ‘ensembldb’, ‘AnnotationFilter’ are not available for package ‘biovizBase’
* removing ‘/home/esra/R/x86_64-pc-linux-gnu-library/3.4/biovizBase’
ERROR: dependency ‘biovizBase’ is not available for package ‘Gviz’
* removing ‘/home/esra/R/x86_64-pc-linux-gnu-library/3.4/Gviz’
ERROR: dependency ‘Gviz’ is not available for package ‘cummeRbund’
* removing ‘/home/esra/R/x86_64-pc-linux-gnu-library/3.4/cummeRbund’

The downloaded source packages are in
    ‘/tmp/Rtmpz7EOtP/downloaded_packages’
Warning messages:
1: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘AnnotationFilter’ had non-zero exit status
2: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘ensembldb’ had non-zero exit status
3: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘biovizBase’ had non-zero exit status
4: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘Gviz’ had non-zero exit status
5: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘cummeRbund’ had non-zero exit status


I tried to remove all packages and upgrade all again but it still gives error.

Please help me!

ADD COMMENTlink written 6 months ago by esraesmeray19900

This is indeed a very strange problem. I tried to reproduce on Ubuntu 16.04.2 with a fresh install of R-3.4.0 (compiled from source) but cummeRbund (including AnnotationFilter and all other dependencies) installed without any problems.

Is your installation a fresh installation or an upgrade?

ADD REPLYlink written 6 months ago by Johannes Rainer1.1k

Hello, I know I'm not the original poster but I am having the exact same problem on R-3.4.0 with a fresh install of cummeRbund. I also tried installing the dependencies 1 by 1 in the order R told me it needed them (aka when I had an error from a package install because of a missing dependency), but that did not work either. Any help or ideas would be appreciated! 

ADD REPLYlink written 6 months ago by ejm3390

It looks from the original transcript that the problem is with AnnotationFilter, so please provide the full output of

biocLite("AnnotationFilter")
sessionInfo()
ADD REPLYlink written 6 months ago by Martin Morgan ♦♦ 21k

I ended up being able to install biovizBase, Gviz, and cummeRbund with no problems after installing an old version of RColorBrewer as suggested here A: biovizBase package installation fails

I'm not sure how this connects to the problem at all, but it worked for me. 

ADD REPLYlink written 6 months ago by ejm3390
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.2.0
Traffic: 152 users visited in the last hour